# Roger Palay copyright 2016-02-27
# Saline, MI 48176
#
ci_2popproportion <- function(
   n_one, x_one, n_two, x_two, cl=0.95)
   {
    phat_one <- x_one / n_one
    phat_two <- x_two / n_two
    pe <- phat_one - phat_two
    alpha=1-cl
    alphadiv2<-alpha/2
    z <- qnorm(alphadiv2, lower.tail=FALSE)
    std_err <- sqrt( phat_one*(1-phat_one)/n_one +
                   phat_two*(1-phat_two)/n_two)
    moe <- z*std_err
    ci_low <- pe - moe
    ci_high <- pe + moe
    result <- c( ci_low, ci_high, moe,
                 std_err, z, alphadiv2,
                 phat_one, phat_two)
    names( result ) <-
              c("ci low", "ci_high", "M of E",
                "Std. Err", "z-value", "alpha/2",
                "p hat 1", "p hat 2")
    return( result )
   }
