# Roger Palay copyright 2022-06-09
# Saline, MI 48176
#
long_summary<-function( input_list )
{ # to produce a long list of descriptive values
  # for the argument vector
  #   1    2    3    4    5     6    7    8     9     10    11    12      13
  #  Q0   Q1   Q2   Q3   Q4  Q1TI   Q3TI  N  sumX  sumX2  mean  sigma  stdev  
  items<-1:13
  items[1] <- min(input_list)
  items[2] <- quantile( input_list,.25)
  items[3] <- median(input_list)
  items[4] <- quantile(input_list, 0.75)
  items[5] <- max(input_list)
  items[8] <- length( input_list )
  
  # get the quartiles using the TI-83/84 methodology
  
  n <- items[8]
  input_sort <- sort( input_list)
  if( (n%%2) == 1)
    { i <- (n+1)/2 - 1
      j <- i+2
    }
  else
    { i <- n/2
      j <- i +1
    }
  if( (i%%2) == 1)
     {  items[6] <- input_sort[  (i+1)/2]
        items[7] <- input_sort[   j-1 +(i+1)/2]
     }
  else
     {  items[6] <- (input_sort[i/2]+
                     input_sort[i/2+1] ) / 2
        items[7] <- (input_sort[j-1+i/2]+
                     input_sort[j+i/2]) / 2
    }
  items[9] <- sum(input_list)   
  items[10] <- sum(input_list^2)
  items[11] <- mean( input_list )
  items[12] <- sd( input_list )*sqrt((n-1)/n)
  items[13] <- sd( input_list )
  names( items ) <- c("min Q0", "Q1","median Q2","Q3",
                      "max Q4", "Q1 TI","Q3 TI", "N",
                      "sum x", "sum x^2","mean",
                      "sigma","sample std dev")
  options(scipen=6)
  print(items)
}